var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
export * from 'ng2-file-upload';
import { FileUploader } from 'ng2-file-upload';
var UPLOAD_ENDPOINT = 'https://api.cloudinary.com/v1_1/';
export var CloudinaryUploader = (function (_super) {
    __extends(CloudinaryUploader, _super);
    function CloudinaryUploader(opts) {
        _super.call(this, {});
        this._cloudName = opts.cloudName;
        this._resourceType = opts.resourceType || 'auto';
        this._type = opts.type || 'upload';
        this._propagateUploadUrl();
        this.uploadPreset = opts.uploadPreset;
        this.autoUpload = opts.autoUpload;
    }
    CloudinaryUploader.prototype.onBuildItemForm = function (fileItem, form) {
        form.append('upload_preset', this.uploadPreset);
        // Force the file uploader to never use app credentials
        fileItem.withCredentials = false;
        return { fileItem: fileItem, form: form };
    };
    CloudinaryUploader.prototype._propagateUploadUrl = function () {
        this.options.url = "" + UPLOAD_ENDPOINT + this.cloudName + "/" + this.resourceType + "/" + this.type;
    };
    Object.defineProperty(CloudinaryUploader.prototype, "cloudName", {
        get: function () {
            return this._cloudName;
        },
        set: function (value) {
            this._cloudName = value;
            this._propagateUploadUrl();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CloudinaryUploader.prototype, "resourceType", {
        get: function () {
            return this._resourceType;
        },
        set: function (value) {
            this._resourceType = value;
            this._propagateUploadUrl();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CloudinaryUploader.prototype, "type", {
        get: function () {
            return this._type;
        },
        set: function (value) {
            this._type = value;
            this._propagateUploadUrl();
        },
        enumerable: true,
        configurable: true
    });
    return CloudinaryUploader;
}(FileUploader));
//# sourceMappingURL=cloudinary-uploader.service.js.map